Skip to main content
POST
/
v5
/
invoicing
/
payment
Process payment
curl --request POST \
  --url https://sandbox.hurdlr.com/rest/v5/invoicing/payment \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '
{
  "sendEmail": true,
  "payment": {
    "invoiceId": 123,
    "id": 123,
    "apiName": "STRIPE",
    "apiPaymentId": "pi_3KX9F5KkMq1CsF5K00DChQgZ",
    "bankDescription": "<string>",
    "grossPaymentAmount": 300,
    "feePaymentAmount": 9,
    "paymentSource": "Visa *4747 Charge",
    "date": "2021-01-04",
    "status": "PROCESSED",
    "reviewStatus": "PARTNER_REVIEW_REQUIRED",
    "receiptUrl": "<string>",
    "errorMessage": "<string>",
    "customData": {},
    "v6EntityId": "<string>"
  }
}
'
{
  "emailRetVal": {
    "status": "SUCCESS",
    "error": "<string>",
    "messageId": "<string>"
  },
  "invoiceId": "<string>",
  "success": true,
  "errorDescription": "<string>",
  "errors": {
    "fieldErrors": {},
    "globalErrors": [
      {
        "type": "DUPLICATE",
        "errorMessage": "<string>"
      }
    ]
  },
  "refundStatus": "PENDING"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

clientInvoiceKey
string

Client invoice key obtained from client invoice URL. Used to authorize the request in lieu of an access token.

Body

*/*
sendEmail
boolean

Whether the payment receipt will be emailed to the client and user. Defaults to true.

payment
object

An array of Invoice Payments associated with this invoice. Only populated if includePayments is set to true.

Response

200 - application/json

Successful operation

emailRetVal
object
invoiceId
string
success
boolean
errorDescription
string
errors
object

Error object containing details errors incurred, if any

refundStatus
enum<string>
Available options:
PENDING,
SUCCEEDED,
FAILED,
UNKNOWN